
`define RUN_TIME 5000000000  // set here the time of execution
                 
module test_env;
   
reg pci_mode_b_value;
reg poreset_b_value;
reg rstconf_b_value;
reg tck_value;
reg tdi_value;
reg tms_value;
reg tris_b_value;
reg trst_b_value;
reg vccsyn_value;
reg vccsyn1_value;
reg xfc_value;
reg a_value;
reg aack_b_value;
reg abb_b_irq2_b_value;
reg ale_value;
reg artry_b_value;
reg bctl0_b_value;
reg bg_b_value;
reg br_b_value;
reg ci_b_baddr29_irq2_b_value;
reg cpu_bg_b_baddr31_irq5_b_value;
reg cs10_b_bctl1_b_dbg_dis_value;
reg cs11_b_ap0_value;
reg [0:63] d_value;
reg dbb_b_irq3_b_value;
reg dbg_b_value;
reg dp0_rsrv_b_value;
reg dp1_irq1_b_value;
reg dp2_tlbisync_b_irq2_b_value;
reg dp3_irq3_b_value;
reg dp4_irq4_b_value;
reg dp5_tben_irq5_b_value;
reg dp6_cse0_irq6_b_value;
reg dp7_cse1_irq7_b_value;
reg gbl_b_irq1_b_value;
reg gta_b_upwait_gpl4_pbs_value;
reg hreset_b_value;
reg irq0_b_nmi_out_b_value;
reg irq7_b_int_out_b_ape_b_value;
reg l2_hit_b_irq4_b_value;
reg l_a14_par_value;
reg l_a15_frm_b_smi_b_value;
reg l_a16_trdy_b_value;
reg l_a17_irdy_b_ckstp_out_value;
reg l_a18_stop_b_value;
reg l_a19_devsel_b_value;
reg l_a20_idsel_value;
reg l_a21_perr_b_value;
reg l_a22_serr_b_value;
reg l_a23_req0_b_value;
reg l_a24_req1_b_hses_value;
reg l_a25_gnt0_b_value;
reg l_a27_gnt2_b_hsenum_b_value;
reg l_a28_rst_b_value;
reg l_a29_inta_b_value;
reg l_a30_req2_b_value;
reg l_a31_dllout_value;
reg [0:31] lcl_d_ad_value;
reg [0:3] lcl_dp_c_be_value;
reg lgta_b_upwait_gpl4_pbs_value;
reg modclk1_ap1_tc0_bnksel0_value;
reg modclk2_ap2_tc1_bnksel1_value;
reg [0:31] pa_value;
reg [0:31] pb_value;
reg [0:31] pc_value;
reg [0:31] pd_value;
reg psdval_b_value;
reg sreset_b_value;
reg ta_b_value;
reg tbst_b_value;
reg tea_b_value;
reg test_value;
reg ts_b_value;
reg [0:3] tsize_value;
reg [0:4] tt_value;
reg wt_b_baddr30_irq3_b_value;


   task init_pins;
   begin

      br_b_value = 1; 
      aack_b_value = 1;
      ta_b_value = 1;
      psdval_b_value = 1;
      ts_b_value = 1;
      tea_b_value = 1;
      artry_b_value = 1;      
      abb_b_irq2_b_value = 1;
      dbb_b_irq3_b_value = 1;
      bg_b_value  = 0;
      dbg_b_value = 0;
      tck_value  = 1'b0;
      tdi_value  = 1'b0;
      tms_value =  1'b0;
      trst_b_value  = 1'b0;
      tris_b_value = 1'b1;
      test_value  = 1'b0;
      ci_b_baddr29_irq2_b_value  = 1'b1;
      l2_hit_b_irq4_b_value  = 1'b1;
      irq7_b_int_out_b_ape_b_value = 1'b1;
      wt_b_baddr30_irq3_b_value = 1'b1; 
      dp0_rsrv_b_value  = 1'b1; 
      dp1_irq1_b_value  = 1'b1;
      dp2_tlbisync_b_irq2_b_value  = 1'b1;
      dp3_irq3_b_value = 1'b1;
      dp4_irq4_b_value  = 1'b1;
      dp5_tben_irq5_b_value = 1'b1;
      dp6_cse0_irq6_b_value = 1'b1;
      dp7_cse1_irq7_b_value = 1'b1;
      irq0_b_nmi_out_b_value  = 1'b1;
      hreset_b_value = 1'b1;
      sreset_b_value = 1'b1;
      xfc_value = 0; 
      rstconf_b_value = 0;
      vccsyn_value = 0;
      poreset_b_value = 0;
      pci_mode_b_value=1;

	// testing titan for waitstates
	gta_b_upwait_gpl4_pbs_value = 1;


      repeat (128) @(posedge `VOYAGER_CLOCK_IN);
      
      // end poreset
      poreset_b_value = 1;

      repeat (10) @(posedge `VOYAGER_CLOCK_IN);
 
      // rstconf_b_value   = 0;

      // repeat (10) @(posedge `VOYAGER_CLOCK_IN);
      
      // rstconf_b_value = 1;
      trst_b_value = 1'b1;

      end
   endtask // init_pins

//-------------------------------------------------------------------
   
task proj_test_run;

integer	max_time;
integer	time_counter;

begin      
	 
@(posedge `VOYAGER_CLOCK_IN);
`TOP_SCOPE.sram.load_data("sram_data.bin");

init_pins;

max_time = `RUN_TIME;
time_counter = 0;
      
@(posedge `VOYAGER_CLOCK_IN);

forever
 begin
  @(posedge `VOYAGER_CLOCK_IN);
  time_counter = time_counter + 1;
  if(time_counter > max_time)
  begin
    disable proj_test_run;
  end
 end
   
end
endtask // proj_test_run

//-------------------------------------------------------------------
    
initial
begin   
    #1000000000
    $finish;
end    


initial
begin
    proj_test_run;
end

assign (weak0, weak1) `TOP_SCOPE.gndsyn = 0;
assign (weak0, weak1) `TOP_SCOPE.gndsyn1 = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_a = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_b = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_c = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_d = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_e = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_f = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_g = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_h = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_i = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_j = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_k = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_l = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_m = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_n = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_o = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_p = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_q = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_r = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_s = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_t = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_u = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_v = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_w = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_x = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_y = 0;
assign (weak0, weak1) `TOP_SCOPE.ngnd_z = 0;
assign (weak0, weak1) `TOP_SCOPE.nvcc_a = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_b = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_c = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_d = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_e = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_f = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_g = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_h = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_i = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_j = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_k = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_l = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_m = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_n = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_o = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_p = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_q = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_r = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_s = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_t = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_u = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_v = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_w = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_x = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_y = 1;
assign (weak0, weak1) `TOP_SCOPE.nvcc_z = 1;
assign (weak0, weak1) `TOP_SCOPE.poreset_b = poreset_b_value;
assign (weak0, weak1) `TOP_SCOPE.rstconf_b = rstconf_b_value;
assign (weak0, weak1) `TOP_SCOPE.tck = tck_value;
assign (weak0, weak1) `TOP_SCOPE.tdi = tdi_value;
assign (weak0, weak1) `TOP_SCOPE.tms = tms_value;
assign (weak0, weak1) `TOP_SCOPE.tris_b = tris_b_value;
assign (weak0, weak1) `TOP_SCOPE.trst_b = trst_b_value;
assign (weak0, weak1) `TOP_SCOPE.vccsyn = vccsyn_value;
assign (weak0, weak1) `TOP_SCOPE.vccsyn1 = vccsyn1_value;
assign (weak0, weak1) `TOP_SCOPE.xfc = xfc_value;
assign (weak0, weak1) `TOP_SCOPE.a = a_value;
assign (weak0, weak1) `TOP_SCOPE.aack_b = aack_b_value;
assign (weak0, weak1) `TOP_SCOPE.abb_b_irq2_b = abb_b_irq2_b_value;
assign (weak0, weak1) `TOP_SCOPE.ale = ale_value;
assign (weak0, weak1) `TOP_SCOPE.artry_b = artry_b_value;
assign (weak0, weak1) `TOP_SCOPE.bctl0_b = bctl0_b_value;
assign (weak0, weak1) `TOP_SCOPE.bg_b = bg_b_value;
assign (weak0, weak1) `TOP_SCOPE.br_b = br_b_value;
assign (weak0, weak1) `TOP_SCOPE.ci_b_baddr29_irq2_b = ci_b_baddr29_irq2_b_value;
assign (weak0, weak1) `TOP_SCOPE.cpu_bg_b_baddr31_irq5_b = cpu_bg_b_baddr31_irq5_b_value;
assign (weak0, weak1) `TOP_SCOPE.cs10_b_bctl1_b_dbg_dis = cs10_b_bctl1_b_dbg_dis_value;
assign (weak0, weak1) `TOP_SCOPE.cs11_b_ap0 = cs11_b_ap0_value;
assign (weak0, weak1) `TOP_SCOPE.d = d_value;
assign (weak0, weak1) `TOP_SCOPE.dbb_b_irq3_b = dbb_b_irq3_b_value;
assign (weak0, weak1) `TOP_SCOPE.dbg_b = dbg_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp0_rsrv_b = dp0_rsrv_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp1_irq1_b = dp1_irq1_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp2_tlbisync_b_irq2_b = dp2_tlbisync_b_irq2_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp3_irq3_b = dp3_irq3_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp4_irq4_b = dp4_irq4_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp5_tben_irq5_b = dp5_tben_irq5_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp6_cse0_irq6_b = dp6_cse0_irq6_b_value;
assign (weak0, weak1) `TOP_SCOPE.dp7_cse1_irq7_b = dp7_cse1_irq7_b_value;
assign (weak0, weak1) `TOP_SCOPE.gbl_b_irq1_b = gbl_b_irq1_b_value;
assign (weak0, weak1) `TOP_SCOPE.gta_b_upwait_gpl4_pbs = gta_b_upwait_gpl4_pbs_value;
assign (weak0, weak1) `TOP_SCOPE.hreset_b = hreset_b_value;
assign (weak0, weak1) `TOP_SCOPE.irq0_b_nmi_out_b = irq0_b_nmi_out_b_value;
assign (weak0, weak1) `TOP_SCOPE.irq7_b_int_out_b_ape_b = irq7_b_int_out_b_ape_b_value;
assign (weak0, weak1) `TOP_SCOPE.l2_hit_b_irq4_b = l2_hit_b_irq4_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a14_par = l_a14_par_value;
assign (weak0, weak1) `TOP_SCOPE.l_a15_frm_b_smi_b = l_a15_frm_b_smi_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a16_trdy_b = l_a16_trdy_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a17_irdy_b_ckstp_out = l_a17_irdy_b_ckstp_out_value;
assign (weak0, weak1) `TOP_SCOPE.l_a18_stop_b = l_a18_stop_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a19_devsel_b = l_a19_devsel_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a20_idsel = l_a20_idsel_value;
assign (weak0, weak1) `TOP_SCOPE.l_a21_perr_b = l_a21_perr_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a22_serr_b = l_a22_serr_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a23_req0_b = l_a23_req0_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a24_req1_b_hses = l_a24_req1_b_hses_value;
assign (weak0, weak1) `TOP_SCOPE.l_a25_gnt0_b = l_a25_gnt0_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a27_gnt2_b_hsenum_b = l_a27_gnt2_b_hsenum_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a28_rst_b = l_a28_rst_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a29_inta_b = l_a29_inta_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a30_req2_b = l_a30_req2_b_value;
assign (weak0, weak1) `TOP_SCOPE.l_a31_dllout = l_a31_dllout_value;
assign (weak0, weak1) `TOP_SCOPE.lcl_d_ad = lcl_d_ad_value;
assign (weak0, weak1) `TOP_SCOPE.lcl_dp_c_be = lcl_dp_c_be_value;
assign (weak0, weak1) `TOP_SCOPE.lgta_b_upwait_gpl4_pbs = lgta_b_upwait_gpl4_pbs_value;
assign (weak0, weak1) `TOP_SCOPE.modclk1_ap1_tc0_bnksel0 = modclk1_ap1_tc0_bnksel0_value;
assign (weak0, weak1) `TOP_SCOPE.modclk2_ap2_tc1_bnksel1 = modclk2_ap2_tc1_bnksel1_value;
assign (weak0, weak1) `TOP_SCOPE.pa = pa_value;
assign (weak0, weak1) `TOP_SCOPE.pb = pb_value;
assign (weak0, weak1) `TOP_SCOPE.pc = pc_value;
assign (weak0, weak1) `TOP_SCOPE.pd = pd_value;
assign (weak0, weak1) `TOP_SCOPE.psdval_b = psdval_b_value;
assign (weak0, weak1) `TOP_SCOPE.sreset_b = sreset_b_value;
assign (weak0, weak1) `TOP_SCOPE.ta_b = ta_b_value;
assign (weak0, weak1) `TOP_SCOPE.tbst_b = tbst_b_value;
assign (weak0, weak1) `TOP_SCOPE.tea_b = tea_b_value;
assign (weak0, weak1) `TOP_SCOPE.test = test_value;
assign (weak0, weak1) `TOP_SCOPE.ts_b = ts_b_value;
assign (weak0, weak1) `TOP_SCOPE.tsize = tsize_value;
assign (weak0, weak1) `TOP_SCOPE.tt = tt_value;
assign (weak0, weak1) `TOP_SCOPE.wt_b_baddr30_irq3_b = wt_b_baddr30_irq3_b_value;
assign (weak0, weak1) `TOP_SCOPE.pci_mode_b = pci_mode_b_value;


endmodule // proj_test_env


